"use strict";
const common_vendor = require("../common/vendor.js");
if (!Math) {
  NoData();
}
const NoData = () => "./noData.js";
const _sfc_main = {
  __name: "listView",
  props: {
    list: Array,
    appType: String
  },
  setup(__props) {
    const props = __props;
    common_vendor.onLoad(() => {
    });
    const goPage = (item) => {
      if (props.appType == "学生轨迹") {
        common_vendor.index.navigateTo({
          url: `/pages/track/track?id=${item.id}`
        });
      } else {
        common_vendor.index.navigateTo({
          url: `/pages/student/student?msg=${JSON.stringify(item)}`
        });
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.f(__props.list, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: common_vendor.t(item.cardNo),
            c: item.id,
            d: common_vendor.o(($event) => goPage(item), item.id)
          };
        }),
        b: !__props.list.length
      }, !__props.list.length ? {} : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e6db6be6"], ["__file", "E:/workSpace/WanZai_School_app/components/listView.vue"]]);
wx.createComponent(Component);
